## EntangleSessionBrowser EntangleSessionBrowser |

## Functions

EntangleSessionBrowser * | entangle_session_browser_new ()
EntangleImage * | entangle_session_browser_selected_image ()
GList * | entangle_session_browser_earlier_images ()
void | entangle_session_browser_set_thumbnail_loader ()
EntangleThumbnailLoader * | entangle_session_browser_get_thumbnail_loader ()
void | entangle_session_browser_set_session ()
EntangleSession * | entangle_session_browser_get_session ()
EntangleImage * | entangle_session_browser_get_image_at_coords ()
void | entangle_session_browser_set_background ()
gchar * | entangle_session_browser_get_background ()
void | entangle_session_browser_set_highlight ()
gchar * | entangle_session_browser_get_highlight ()

## Properties

EntangleSession * | session | Read / Write
EntangleThumbnailLoader * | thumbnail-loader | Read / Write

## Signals

void | selection-changed | Run First

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── EntangleSessionBrowser

## Description

## Functions

### entangle_session_browser_new ()

    EntangleSessionBrowser *
    entangle_session_browser_new (void);

### entangle_session_browser_selected_image ()

    EntangleImage *
    entangle_session_browser_selected_image
                                   (EntangleSessionBrowser *browser);

#### Parameters

browser | the session browser. | [transfer none]

#### Returns

the selected image or NULL.

[transfer full]

### entangle_session_browser_earlier_images ()

    GList *
    entangle_session_browser_earlier_images
                                   (EntangleSessionBrowser *browser,
                                    gboolean include_selected,
                                    gsize count);

Get a list of images prior to the currently selected image. If `include_selected` is true, then the currently selected image will be included in the returned list

#### Parameters

browser | the session browser. | [transfer none]
include_selected | true to include the current image in the list |
count | maximum number of images to return |

#### Returns

the list of images.

[transfer full][element-type EntangleImage]

### entangle_session_browser_set_thumbnail_loader ()

    void
    entangle_session_browser_set_thumbnail_loader
                                   (EntangleSessionBrowser *browser,
                                    EntangleThumbnailLoader *loader);

Set the thumbnail loader to use for generating image thumbnails

#### Parameters

browser | the session browser. | [transfer none]
loader | the thumbnail loader to use. | [transfer none]

### entangle_session_browser_get_thumbnail_loader ()

    EntangleThumbnailLoader *
    entangle_session_browser_get_thumbnail_loader
                                   (EntangleSessionBrowser *browser);

Get the thumbnail loader used by the session browser

#### Parameters

browser | the session browser |

#### Returns

the session browser.

[transfer none]

### entangle_session_browser_set_session ()

    void
    entangle_session_browser_set_session (EntangleSessionBrowser *browser,
                                          EntangleSession *session);

Set the session to be displayed

#### Parameters

browser | the session browser. | [transfer none]
session | the session to display. | [transfer none]

### entangle_session_browser_get_session ()

    EntangleSession *
    entangle_session_browser_get_session (EntangleSessionBrowser *browser);

Get the session being displayed

#### Parameters

browser | the session browser. | [transfer none]

#### Returns

the session.

[transfer none]

### entangle_session_browser_get_image_at_coords ()

    EntangleImage *
    entangle_session_browser_get_image_at_coords
                                   (EntangleSessionBrowser *browser,
                                    gint x,
                                    gint y);

Retrieve the image displayed at the co-ordinates (`x` , `y` )

#### Parameters

browser | the session browser. | [transfer none]
x | the horizontal co-ordinate |
y | the vertical co-ordinate |

#### Returns

the image, or NULL.

[transfer none]

### entangle_session_browser_set_background ()

    void
    entangle_session_browser_set_background
                                   (EntangleSessionBrowser *browser,
                                    const gchar *background);

### entangle_session_browser_get_background ()

    gchar *
    entangle_session_browser_get_background
                                   (EntangleSessionBrowser *browser);

### entangle_session_browser_set_highlight ()

    void
    entangle_session_browser_set_highlight
                                   (EntangleSessionBrowser *browser,
                                    const gchar *highlight);

### entangle_session_browser_get_highlight ()

    gchar *
    entangle_session_browser_get_highlight
                                   (EntangleSessionBrowser *browser);

## Types and Values

## Property Details

### The `“session”` property

      “session”                  EntangleSession *

Session to be displayed.

Flags: Read / Write

### The `“thumbnail-loader”` property

      “thumbnail-loader”         EntangleThumbnailLoader *

Thumbnail loader.

Flags: Read / Write

## Signal Details

### The `“selection-changed”` signal

    void
    user_function (EntangleSessionBrowser *entanglesessionbrowser,
                   gpointer                user_data)

Flags: Run First